Skip to main content
GET
/
api
/
agent
/
get-agents
Listar Agentes
curl --request GET \
  --url https://api.plazbot.com/api/agent/get-agents \
  --header 'Authorization: Bearer <token>' \
  --header 'x-workspace-id: <x-workspace-id>'
{
  "success": true,
  "code": 123,
  "errorCode": "<string>",
  "message": "<string>",
  "data": [
    {
      "id": "<string>",
      "name": "<string>",
      "model": "<string>",
      "prompt": "<string>",
      "temperature": 123,
      "maxTokens": 123,
      "channelId": "<string>",
      "platformType": "<string>",
      "widgetEnabled": true,
      "workspaceId": "<string>",
      "creationDate": "2023-11-07T05:31:56Z",
      "files": [
        "<string>"
      ]
    }
  ]
}

Authorizations

Authorization
string
header
required

Token de autenticacion Bearer. Obtenga el token usando el endpoint /api/user/login

Headers

x-workspace-id
string
required

Identificador del workspace

Query Parameters

workspaceId
string
required

Identificador del workspace

Response

Lista de agentes obtenida exitosamente

success
boolean
required

Indica si la operacion fue exitosa

code
integer
required

Codigo HTTP de la respuesta

errorCode
string | null
required

Codigo de error, null si no hay error

message
string
required

Mensaje descriptivo del resultado

data
object[]
required